import { EventEmitter, OnInit } from '@angular/core';
import { UniqueIdService } from '@ironsource/fusion-ui/services/unique-id';
import * as i0 from "@angular/core";
export declare abstract class RadioBaseComponent implements OnInit {
    private uniqueIdService;
    /** checkbox DOM element id. If not set, will be generated.
     * @internal
     * */
    id: string;
    set label(value: string);
    set name(value: string);
    set value(value: string | number);
    set selected(value: boolean);
    set disabled(value: boolean);
    changed: EventEmitter<string | number>;
    /** @internal */
    get label(): string;
    /** @internal */
    get name(): string;
    /** @internal */
    get value(): string | number;
    /** @internal */
    get selected(): boolean;
    /** @internal */
    get disabled(): boolean;
    private _label;
    private _name;
    private _value;
    private _disabled;
    private _selected;
    constructor(uniqueIdService: UniqueIdService);
    ngOnInit(): void;
    /** @internal */
    selectStateChange($event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RadioBaseComponent, never, never, { "id": { "alias": "id"; "required": false; }; "label": { "alias": "label"; "required": false; }; "name": { "alias": "name"; "required": false; }; "value": { "alias": "value"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "changed": "changed"; }, never, never, false, never>;
}
